# https://github.com/andrew-bibb/cmst/commit/86259f6aca3c995dd8d930d86163991319ee3b02
%global commit0 86259f6aca3c995dd8d930d86163991319ee3b02
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           cmst
Version:        2016.11.14
Release:        1.git%{shortcommit0}%{?dist}
Summary:        A Qt based GUI front end for the connman connection manager with systemtray icon

License:        MIT
URL:            https://github.com/andrew-bibb/cmst
Source0:        https://github.com/andrew-bibb/cmst/archive/%{commit0}/%{name}-%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Source1:        %{name}.service

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:    systemd-units
Requires(pre):    shadow-utils
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units

Requires:       connman
Requires:       hicolor-icon-theme

%description
Qt GUI for Connman with system tray icon. The program provides graphical user
interface to control the connman daemon. The connman daemon must be started as
you normally would, this program just interfaces with that daemon.
You can see what technologies and services connman has found, and for wifi
services an agent is registered to assist in obtaining the information from
you necessary to logon the wifi service.

%prep
%autosetup -n %{name}-%{commit0}

sed -i -e 's|Categories=Settings;System;Qt;Network;|Categories=Network;|g' misc/desktop/cmst.desktop
sed -i -e 's|CMST_LIB_PATH = "/usr/lib/cmst"|CMST_LIB_PATH = "%{_libexecdir}/%{name}"|g' cmst.pri

# change permission due rpmlint W: spurious-executable-perm
find . -type f  \( -name "*.cpp" -o -name "*.h" \) -exec chmod a-x {} \;

%build
# Create translation files.
lrelease-qt5 translations/*.ts

%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/languages
install -m 0644 translations/*.qm \
         %{buildroot}%{_datadir}/%{name}/languages

# Systemd unit files
# copy cmst.service to unitdir /lib/systemd/system
mkdir -p %{buildroot}%{_unitdir}
install -Dpm 644 %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service

%find_lang %{name} --with-qt

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
%systemd_postun_with_restart %{name}.service

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README.md
%license text/LICENSE
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.cmst.roothelper.conf
%{_unitdir}/%{name}.service
%{_libexecdir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/system-services/org.cmst.roothelper.service
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_mandir}/man1/*

%changelog
* Wed Nov 16 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.11.14-1.git86259f6
- Update to 2016.11.14-1.git86259f6

* Tue Oct 04 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.10.03-1.gitf85b216
- Update to 2016.10.03-1.gitf85b216

* Mon Oct 03 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.10.02-1.git35ebb4b
- Update to 2016.10.02-1.git35ebb4b

* Sat Aug 27 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.08.11-1.git75a3f0b
- update to new git release

* Sat Mar 19 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.03.06-1.gitc3631b3
- rebuild for new git release

* Fri Feb 26 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-6.git660121a
- rebuild for new git release
- dropped %{name}.appdata.xml file

* Thu Feb 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-5.git16ee823
- set correct file permisson
- take ownership of unowned directorys

* Thu Feb 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-4.git16ee823
- added BR qt5-linguist
- added BR libappstream-glib

* Wed Feb 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-3.git16ee823
- addedd cmst.appdata.xml file

* Wed Feb 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-2.git16ee823
- changed release tag
- removed owned files in files/sub-directories
- added %%find_lang macro to find .qm files

* Sat Jan 30 2016 Martin Gansser <martinkg@fedoraproject.org> - 2016.01.26-1.gitcfe10e5
- initial release
